Bug 1291026 - [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy killed by SIGSEGV
Summary: [abrt] plasma-workspace: SNIProxy::getImageNonComposite(): xembedsniproxy kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e19126b2a22dd9dd262fd52a9f2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-12 23:01 UTC by xvr
Modified: 2016-12-20 16:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 16:58:22 UTC


Attachments (Terms of Use)
File: backtrace (25.34 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: core_backtrace (4.96 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: dso_list (16.20 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: environ (1.85 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: maps (66.66 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: open_fds (618 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-12-12 23:01 UTC, xvr
no flags Details

Description xvr 2015-12-12 23:01:12 UTC
Description of problem:
Simply logged in to KDE from sddm.

Version-Release number of selected component:
plasma-workspace-5.5.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::getImageNonComposite
executable:     /usr/bin/xembedsniproxy
global_pid:     1889
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::getImageNonComposite at ../../xembed-sni-proxy/sniproxy.cpp:241
 #1 SNIProxy::update at ../../xembed-sni-proxy/sniproxy.cpp:193
 #2 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #3 QSingleShotTimer::timerEvent at kernel/qtimer.cpp:315
 #4 QObject::event at kernel/qobject.cpp:1261
 #5 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
 #6 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #7 QCoreApplication::sendEvent at ../../src/corelib/kernel/qcoreapplication.h:224
 #8 QTimerInfoList::activateTimers at kernel/qtimerinfo_unix.cpp:637
 #9 timerSourceDispatch at kernel/qeventdispatcher_glib.cpp:177

Comment 1 xvr 2015-12-12 23:01:24 UTC
Created attachment 1105199 [details]
File: backtrace

Comment 2 xvr 2015-12-12 23:01:26 UTC
Created attachment 1105200 [details]
File: cgroup

Comment 3 xvr 2015-12-12 23:01:27 UTC
Created attachment 1105201 [details]
File: core_backtrace

Comment 4 xvr 2015-12-12 23:01:29 UTC
Created attachment 1105202 [details]
File: dso_list

Comment 5 xvr 2015-12-12 23:01:32 UTC
Created attachment 1105203 [details]
File: environ

Comment 6 xvr 2015-12-12 23:01:33 UTC
Created attachment 1105204 [details]
File: exploitable

Comment 7 xvr 2015-12-12 23:01:35 UTC
Created attachment 1105205 [details]
File: limits

Comment 8 xvr 2015-12-12 23:01:38 UTC
Created attachment 1105206 [details]
File: maps

Comment 9 xvr 2015-12-12 23:01:40 UTC
Created attachment 1105207 [details]
File: mountinfo

Comment 10 xvr 2015-12-12 23:01:42 UTC
Created attachment 1105208 [details]
File: namespaces

Comment 11 xvr 2015-12-12 23:01:44 UTC
Created attachment 1105209 [details]
File: open_fds

Comment 12 xvr 2015-12-12 23:01:45 UTC
Created attachment 1105210 [details]
File: proc_pid_status

Comment 13 xvr 2015-12-12 23:01:47 UTC
Created attachment 1105211 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-24 14:12:14 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 16:58:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.